org.apache.poi.xddf.usermodel.text

## Class XDDFTextBody

- java.lang.Object
- - org.apache.poi.xddf.usermodel.text.XDDFTextBody

-     @Beta
      public class XDDFTextBody
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFTextBody(TextContainer parent)`
    `XDDFTextBody(TextContainer parent, org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFTextParagraph` | `addNewParagraph()`
    `protected <R> java.util.Optional<R>` | `findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter, int level)`
    `protected <R> java.util.Optional<R>` | `findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet, java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter, int level)`
    `XDDFBodyProperties` | `getBodyProperties()`
    `XDDFParagraphProperties` | `getDefaultProperties()`
    `XDDFParagraphProperties` | `getLevel1Properties()`
    `XDDFParagraphProperties` | `getLevel2Properties()`
    `XDDFParagraphProperties` | `getLevel3Properties()`
    `XDDFParagraphProperties` | `getLevel4Properties()`
    `XDDFParagraphProperties` | `getLevel5Properties()`
    `XDDFParagraphProperties` | `getLevel6Properties()`
    `XDDFParagraphProperties` | `getLevel7Properties()`
    `XDDFParagraphProperties` | `getLevel8Properties()`
    `XDDFParagraphProperties` | `getLevel9Properties()`
    `XDDFTextParagraph` | `getParagraph(int index)`
    `java.util.List<XDDFTextParagraph>` | `getParagraphs()`
    `TextContainer` | `getParentShape()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody` | `getXmlObject()`
    `XDDFTextParagraph` | `initialize()`
    `XDDFTextParagraph` | `insertNewParagraph(int index)`
    `void` | `removeParagraph(int index)`
    `void` | `setBodyProperties(XDDFBodyProperties properties)`
    `void` | `setDefaultProperties(XDDFParagraphProperties properties)`
    `void` | `setLevel1Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel2Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel3Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel4Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel5Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel6Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel7Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel8Properties(XDDFParagraphProperties properties)`
    `void` | `setLevel9Properties(XDDFParagraphProperties properties)`
    `void` | `setText(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFTextBody

          public XDDFTextBody(TextContainer parent)

    - #### XDDFTextBody

          @Internal
          public XDDFTextBody(TextContainer parent,
                                        org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody body)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody getXmlObject()

    - #### getParentShape

          public TextContainer getParentShape()

    - #### initialize

          public XDDFTextParagraph initialize()

    - #### setText

          public void setText(java.lang.String text)

    - #### addNewParagraph

          public XDDFTextParagraph addNewParagraph()

    - #### insertNewParagraph

          public XDDFTextParagraph insertNewParagraph(int index)

    - #### removeParagraph

          public void removeParagraph(int index)

    - #### getParagraph

          public XDDFTextParagraph getParagraph(int index)

    - #### getParagraphs

          public java.util.List<XDDFTextParagraph> getParagraphs()

    - #### getBodyProperties

          public XDDFBodyProperties getBodyProperties()

    - #### setBodyProperties

          public void setBodyProperties(XDDFBodyProperties properties)

    - #### getDefaultProperties

          public XDDFParagraphProperties getDefaultProperties()

    - #### setDefaultProperties

          public void setDefaultProperties(XDDFParagraphProperties properties)

    - #### getLevel1Properties

          public XDDFParagraphProperties getLevel1Properties()

    - #### setLevel1Properties

          public void setLevel1Properties(XDDFParagraphProperties properties)

    - #### getLevel2Properties

          public XDDFParagraphProperties getLevel2Properties()

    - #### setLevel2Properties

          public void setLevel2Properties(XDDFParagraphProperties properties)

    - #### getLevel3Properties

          public XDDFParagraphProperties getLevel3Properties()

    - #### setLevel3Properties

          public void setLevel3Properties(XDDFParagraphProperties properties)

    - #### getLevel4Properties

          public XDDFParagraphProperties getLevel4Properties()

    - #### setLevel4Properties

          public void setLevel4Properties(XDDFParagraphProperties properties)

    - #### getLevel5Properties

          public XDDFParagraphProperties getLevel5Properties()

    - #### setLevel5Properties

          public void setLevel5Properties(XDDFParagraphProperties properties)

    - #### getLevel6Properties

          public XDDFParagraphProperties getLevel6Properties()

    - #### setLevel6Properties

          public void setLevel6Properties(XDDFParagraphProperties properties)

    - #### getLevel7Properties

          public XDDFParagraphProperties getLevel7Properties()

    - #### setLevel7Properties

          public void setLevel7Properties(XDDFParagraphProperties properties)

    - #### getLevel8Properties

          public XDDFParagraphProperties getLevel8Properties()

    - #### setLevel8Properties

          public void setLevel8Properties(XDDFParagraphProperties properties)

    - #### getLevel9Properties

          public XDDFParagraphProperties getLevel9Properties()

    - #### setLevel9Properties

          public void setLevel9Properties(XDDFParagraphProperties properties)

    - #### findDefinedParagraphProperty

          @Internal
          protected <R> java.util.Optional<R> findDefinedParagraphProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean> isSet,
                                                                                     java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R> getter,
                                                                                     int level)

    - #### findDefinedRunProperty

          @Internal
          protected <R> java.util.Optional<R> findDefinedRunProperty(java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean> isSet,
                                                                               java.util.function.Function<org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R> getter,
                                                                               int level)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.